/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/
#include "phonenumbers.h"
#include "callcenterVars.h"
#include <qmessagebox.h>

#include "kphoneview.h"
#include "kcallwidget.h"
#include "../dissipate2/sipuser.h"
#include "../dissipate2/sipuri.h"
#include "../dissipate2/sipcall.h"

#include <qsqlerror.h>
#include <qstring.h>
#include <qsqlselectcursor.h>


void selectAgent::selectContractSlot( QSqlRecord * buf )
{
}


void selectAgent::init()
{
  QSqlSelectCursor* cur = new QSqlSelectCursor( "select contracts.pkey, contractor, contracttitle, free from contracts, agentcontracts where contracts.pkey = agentcontracts.contract and agentcontracts.agent = 0" );
  delete contractList;
  contractList = new QDataTable( this, "contractList" );
  contractList->setSqlCursor( cur, false, true );
  //contractList->addColumn( "pkey", tr( "pkey" ) );
  contractList->addColumn( "contractor", tr( "Contractor" ) );
  contractList->addColumn( "contracttitle", tr( "Contracttitle" ) );
  contractList->addColumn( "free", tr( "Free" ) );
  contractList->setGeometry( QRect( 10, 160, 340, 140 ) );
  contractList->setMinimumSize( QSize( 0, 100 ) );
  contractList->setReadOnly( TRUE );
  contractList->setSorting( TRUE );
  contractList->refresh();
}


void selectAgent::selectAgentSlot( QSqlRecord *buf )
{
  disconnect( contractList, SIGNAL( currentChanged(QSqlRecord*) ), this, 0 );
  agentKey = buf->value( "pkey" ).toString();
  agentNormal = buf->value( "normal" ).toString();

printf( "rem Log in agent: %s %s (%s, pkey=%s); %s.%03d\n", buf->value( "firstname" ).toString().ascii(), buf->value( "surname" ).toString().ascii(), buf->value( "id" ).toString().ascii(), agentKey.ascii(), QTime::currentTime().toString().latin1(), QTime::currentTime().msec() );//!!rem

  QSqlSelectCursor* cur = (QSqlSelectCursor*)(contractList->sqlCursor());
  cur->exec( "select contracts.pkey, contractor, contracttitle, free from contracts, agentcontracts where contracts.pkey = agentcontracts.contract and agentcontracts.agent = " + agentKey );
  contractList->refresh();
  connect( contractList, SIGNAL( currentChanged(QSqlRecord*) ), this, SLOT( selectContractSlot( QSqlRecord * ) ) );
}
