/****************************************************************************
** Form implementation generated from reading ui file 'sounddialog.ui'
**
** Created: Di Jul 19 02:30:16 2005
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.3   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "sounddialog.h"

#include <qvariant.h>
#include <qslider.h>
#include <qprogressbar.h>
#include <qlabel.h>
#include <qframe.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "sounddialog.ui.h"

/*
 *  Constructs a SoundDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
SoundDialog::SoundDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SoundDialog" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );

    microSlider = new QSlider( this, "microSlider" );
    microSlider->setGeometry( QRect( 10, 130, 220, 24 ) );
    microSlider->setMaxValue( 149 );
    microSlider->setValue( 25 );
    microSlider->setOrientation( QSlider::Horizontal );
    microSlider->setTickmarks( QSlider::Below );
    microSlider->setTickInterval( 25 );

    microSignal = new QProgressBar( this, "microSignal" );
    microSignal->setGeometry( QRect( 10, 160, 221, 25 ) );

    speakerSlider = new QSlider( this, "speakerSlider" );
    speakerSlider->setGeometry( QRect( 10, 200, 220, 24 ) );
    speakerSlider->setMaxValue( 149 );
    speakerSlider->setValue( 25 );
    speakerSlider->setOrientation( QSlider::Horizontal );
    speakerSlider->setTickmarks( QSlider::Below );
    speakerSlider->setTickInterval( 25 );

    speakerSignal = new QProgressBar( this, "speakerSignal" );
    speakerSignal->setGeometry( QRect( 10, 230, 221, 25 ) );

    localLabel = new QLabel( this, "localLabel" );
    localLabel->setGeometry( QRect( 10, 101, 160, 20 ) );

    line1 = new QFrame( this, "line1" );
    line1->setGeometry( QRect( 10, 80, 220, 20 ) );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );

    systemLabel = new QLabel( this, "systemLabel" );
    systemLabel->setGeometry( QRect( 10, 11, 211, 20 ) );

    kmixButton = new QPushButton( this, "kmixButton" );
    kmixButton->setGeometry( QRect( 10, 40, 100, 31 ) );

    saveButton = new QPushButton( this, "saveButton" );
    saveButton->setGeometry( QRect( 131, 40, 100, 31 ) );
    languageChange();
    resize( QSize(241, 265).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kmixButton, SIGNAL( clicked() ), this, SLOT( mixerCalled() ) );
    connect( saveButton, SIGNAL( clicked() ), this, SLOT( saveCalled() ) );
    connect( microSlider, SIGNAL( valueChanged(int) ), this, SLOT( changeMicroVol(int) ) );
    connect( speakerSlider, SIGNAL( valueChanged(int) ), this, SLOT( changeSpeakerVol(int) ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
SoundDialog::~SoundDialog()
{
    destroy();
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SoundDialog::languageChange()
{
    setCaption( tr( "Sound Control" ) );
    QToolTip::add( microSlider, tr( "Microphone Volume" ) );
    QToolTip::add( microSignal, tr( "Microphone Signal" ) );
    QToolTip::add( speakerSlider, tr( "Speaker Volume" ) );
    QToolTip::add( speakerSignal, tr( "Speaker Signal" ) );
    localLabel->setText( tr( "Local Volume Settings" ) );
    systemLabel->setText( tr( "System Mixer Settings" ) );
    kmixButton->setText( tr( "Open" ) );
    QToolTip::add( kmixButton, tr( "This opens the operating systems mixer panel" ) );
    saveButton->setText( tr( "Save" ) );
    QToolTip::add( saveButton, tr( "Save the system mixers settings" ) );
}

